Subject: [PWE3] RE: OAM Message Mapping and BFD/VCCV - Child thread of of Re: [ PWE3] BFD for MPLS PWs

From: "Busschbach, Peter B (Peter)" <[email-masked]>
Date: Wed, 30 Aug 2006 15:30:01 -0400

> -----Original Message-----
> From: Luca Martini [mailto:[email-masked]]
> Sent: Wednesday, August 30, 2006 2:33 PM
> To: Busschbach, Peter B (Peter)
> Cc: 'Sasha Vainshtein'; Swallow George; Thomas D. Nadeau; Pignataro
> Carlos; Morrow Monique; pwe3 WG ((((((((E-mail)))))))); Danny 
> McPherson;
> Agarwal Rahul; Stewart (stbryant) Bryant
> Subject: OAM Message Mapping and BFD/VCCV - Child thread of of Re:
> [PWE3] BFD for MPLS PWs
> 
> 
> Busschbach, Peter B (Peter) wrote:
> > Hi Sasha,
> >
> > Good question. Even though the VCCV draft allows PEs to 
> choose the option "use BFD for both fault detection and 
> notification", we haven't defined the related procedures yet. 
> The OAM message mapping draft only deals with in-band 
> notifications in the client protocol layer (like ATM AIS) and 
> PW Status.
> >
> > In my opinion, if you use BFD for fault notification, the 
> guiding principle should be that you use BFD where the OAM 
> Message Mapping Draft prescribes PW Status. Thus, for a 
> defect on a FR AC, the PE should send a BFD failure 
> notification, but for an ATM AC defect it should insert AIS 
> and not send a BFD failure notification. But again, we 
> haven't specified this yet. Considering the current 
> confusion, we should probably update OAM message mapping to 
> cover this aspect before going to last call.
> >
> > Peter
> >   
> 
> Peter ,
> 
> Picking up this thread where we left off , I see the 
> following problems:
> 
> In The ATM encapsulation draft:
> 
> Section 7.4 acts as a summary to the OAM message mapping draft. I 
> suggest that we remove section 7.4. ( I have not approved the 
> rfc yet , 
> so we can still do it ) Then we have the detailed discussion int the 
> message mapping draft only.

Agree. That will make things much clearer

> 
> Matthew is fixing section 7.1 and 7.2 so that we do not say 
> that segment 
> OAM should be passed. ( Segment OAM should be terminated when 
> we act as 
> an ATM switch )

ATM segments are relate to the notion of administrative domains. Not every  ATM switch is a segment end-point.
> 
> 
> In the message mapping draft there are a few problems:
> 
> 1) The ethernet PW section needs to be re-written to include ethernet 
> OAM , and  ELMI .

We discussed this among the authors. Initially, there was a feeling that a first version of the draft should be completed with Ethernet for further study, followed by a second version that included Ethernet OAM. Time has passed it by now it would be an omission to publish the draft without Ethernet OAM. We better get going on the additional text, though.

> 
> 2) We clearly have a conflict between this draft and RFC4447. 
> We need to 
> resolve the text that says " that PW status notification 
> should not be 
> used when BFD status is used"

If we accept the rule that BFD for fault detection and notification will only be used for manually configured PWs, there is no problem, since RFC 4447 does not apply to such PWs.

I personally feel that that is too restrictive. However, to allow BFD fault notification also for PWs that are setup through LDP would require a change in RFC4447 and I agree with Sasha that at this point in time we probably don't want to go there.

Therefore, if the compromise is acceptable to the WG, there is no conflict between RFC4447 and the message mapping draft. (However, we should update the text of the latter to provide more clarity.)

> 
> 3) We need to resolve where we inject the ATM AIS alarms.
> 

I believe that is resolved. AFAIK, you are the only one who seems to have a view that differs from what is specified in the message mapping draft. Anyay, we can discuss this further.

> 
> Before I send out what my opinion is about the solution to #2 and #3 
> above , do we agree that these are the areas of concern ?
> Are there any others ?
> 
> Thanks.
> Luca
> 
> 
> 
> 
> 

_______________________________________________
pwe3 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pwe3

---

From: [email-masked]
Date: Thu, 31 Aug 2006 09:01:17 +0100

Hi Peter,

"Busschbach, Peter B (Peter)" <[email-masked]> wrote on 30/08/2006

> > Busschbach, Peter B (Peter) wrote:

[snipped]

> every  ATM switch is a segment end-point.

Agreed, but I think it would be useful to add a sentence to each section to
indicate that the PE terminates segment OAM if it is a segment boundary, as
per I.610. At the moment, the text suggests that you should always pass
segment and end-to-end.

Matthew

> We discussed this among the authors. Initially, there was a feeling
> that a first version of the draft should be completed with Ethernet
> for further study, followed by a second version that included
> Ethernet OAM. Time has passed it by now it would be an omission to
> publish the draft without Ethernet OAM. We better get going on the
> additional text, though.
>
> >
> If we accept the rule that BFD for fault detection and notification
> will only be used for manually configured PWs, there is no problem,
> since RFC 4447 does not apply to such PWs.
>
> I personally feel that that is too restrictive. However, to allow
> BFD fault notification also for PWs that are setup through LDP would
> require a change in RFC4447 and I agree with Sasha that at this
> point in time we probably don't want to go there.
>
> Therefore, if the compromise is acceptable to the WG, there is no
> conflict between RFC4447 and the message mapping draft. (However, we
> should update the text of the latter to provide more clarity.)
>
> >
> I believe that is resolved. AFAIK, you are the only one who seems to
> have a view that differs from what is specified in the message
> mapping draft. Anyay, we can discuss this further.
>
>
> >